Bug 834057 - ldap-agent crashes on start with signal SIGSEGV
Summary: ldap-agent crashes on start with signal SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: 389-ds-base
Version: 6.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Rich Megginson
QA Contact: Sankar Ramalingam
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-20 18:03 UTC by Nathan Kinder
Modified: 2018-12-01 18:09 UTC (History)
4 users (show)

Fixed In Version: 389-ds-base-1.2.11.12-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Multiple ldap servers listed in the ldap-agent.conf file Consequence: The agent would crash at startup Fix: We were not reseting the buffer in between ldap servers Result: agent starts up regardless of the number of ldap servers listed in the config file.
Clone Of:
Environment:
Last Closed: 2013-02-21 08:18:36 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0503 normal SHIPPED_LIVE Moderate: 389-ds-base security, bug fix, and enhancement update 2013-02-21 08:18:44 UTC

Description Nathan Kinder 2012-06-20 18:03:02 UTC
This bug is created as a clone of upstream ticket:
https://fedorahosted.org/389/ticket/319

https://bugzilla.redhat.com/show_bug.cgi?id=802706 (''Fedora'')

{{{
Description of problem:

ldap-agent crashes on start with signal SIGSEGV, Segmentation fault.

Version-Release number of selected component (if applicable):

389-ds-base-1.2.10.2-1.fc16.x86_64

How reproducible:

Steps to Reproduce:
1. /usr/sbin/ldap-agent-bin /etc/dirsrv/config/ldap-agent.conf

Actual results:

Program received signal SIGSEGV, Segmentation fault.

Expected results:

Supposed to start.

Additional info:

# cat /etc/dirsrv/config/ldap-agent.conf

agentx-master /var/agentx/master
agent-logdir /var/log/dirsrv
server slapd-CASTLE-AIMK-COM
server slapd-PKI-IPA

# strace /usr/sbin/ldap-agent-bin /etc/dirsrv/config/ldap-agent.conf
...
open("/etc/dirsrv/config/ldap-agent.conf", O_RDONLY) = 3
fstat(3, {st_mode=S_IFREG|0644, st_size=1059, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7fdcf7ad0000
read(3, "# The agentx-master setting defi"..., 4096) = 1059
open("/etc/dirsrv/slapd-CASTLE-AIMK-COM/dse.ldif", O_RDONLY) = 4
fstat(4, {st_mode=S_IFREG|0600, st_size=88044, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7fdcf7acf000
read(4, "dn:\nobjectClass: top\naci: (targe"..., 4096) = 4096
open("/etc/dirsrv/slapd-PKI-IPA/dse.ldif", O_RDONLY) = 5
fstat(5, {st_mode=S_IFREG|0600, st_size=107311, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0x7fdcf7ace000
read(5, "dn:\nobjectClass: top\naci: (targe"..., 4096) = 4096
--- {si_signo=SIGSEGV, si_code=SEGV_MAPERR, si_addr=0} (Segmentation fault) ---
+++ killed by SIGSEGV (core dumped) +++
Segmentation fault (core dumped)

# gdb --args /usr/sbin/ldap-agent-bin /etc/dirsrv/config/ldap-agent.conf
GNU gdb (GDB) Fedora (7.3.50.20110722-10.fc16)
...
Reading symbols from /usr/sbin/ldap-agent-bin...Reading symbols from
/usr/lib/debug/usr/sbin/ldap-agent-bin.debug...done.
done.
(gdb) run
Starting program: /usr/sbin/ldap-agent-bin /etc/dirsrv/config/ldap-agent.conf
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Program received signal SIGSEGV, Segmentation fault.
__strcpy_ssse3 () at ../sysdeps/x86_64/multiarch/strcpy-ssse3.S:2473
2473            movl    %eax, (%rdx)
Missing separate debuginfos, use: debuginfo-install
bzip2-libs-1.0.6-3.fc15.x86_64 elfutils-libelf-0.152-1.fc16.x86_64
keyutils-libs-1.5.2-1.fc16.x86_64 libacl-2.2.51-2.fc16.x86_64
libattr-2.4.46-2.fc16.x86_64 libcap-2.22-1.fc15.x86_64
libselinux-2.1.6-6.fc16.x86_64 lua-5.1.4-9.fc16.x86_64
nss-softokn-freebl-3.13.1-15.fc16.x86_64 nss-util-3.13.1-3.fc16.x86_64
perl-libs-5.14.2-195.fc16.x86_64 popt-1.13-9.fc16.x86_64
xz-libs-5.1.1-1alpha.fc16.x86_64 zlib-1.2.5-6.fc16.x86_64
(gdb) info stack
#0  __strcpy_ssse3 () at ../sysdeps/x86_64/multiarch/strcpy-ssse3.S:2473
#1  0x000000396c63bfff in ldif_read_record (lfp=0x60b890, lno=0x7fffffffd27c,
bufp=0x7fffffffd250,
    buflenp=0x7fffffffd278) at /usr/include/bits/string3.h:105
#2  0x000000000040259f in load_config (conf_path=<optimized out>) at
ldap/servers/snmp/main.c:404
#3  0x0000000000401cb6 in main (argc=<optimized out>, argv=<optimized out>) at
ldap/servers/snmp/main.c:102
}}}

Comment 1 RHEL Program Management 2012-07-10 06:17:20 UTC
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.

Comment 2 RHEL Program Management 2012-07-10 23:01:58 UTC
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.

Comment 4 Milan Kubík 2013-02-01 15:35:17 UTC
# cat /etc/dirsrv/config/ldap-agent.conf 
agentx-master /var/agentx/master

agent-logdir /var/log/dirsrv

server slapd-dstet-mkubik

# /usr/sbin/ldap-agent /etc/dirsrv/config/ldap-agent.conf 
ldap-agent: Started as pid 18746

# echo $?
0

rpm -qa 389-ds-base
389-ds-base-1.2.11.15-11

ldap-agent started successfully. Marking VERIFIED.

Comment 5 errata-xmlrpc 2013-02-21 08:18:36 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0503.html

Comment 6 Milan Kubík 2013-06-24 10:42:21 UTC
Covered in basic acceptance.


Note You need to log in before you can comment on or make changes to this bug.